unit AnyQBase;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs;

type
  TAnyQBaseForm = class(TForm)
  private
    { Private declarations }
  {$IFDEF VCLSKIN}
    procedure WMSETTEXT(var Message: TWMSetText); message WM_SETTEXT;
  {$ENDIF}
  public
    { Public declarations }
  end;

var
  AnyQBaseForm: TAnyQBaseForm;

implementation

{$R *.dfm}
{$IFDEF VCLSKIN}
uses WinSkinDlg;

type
  TAnyQSkinManage = class(TSkinManage);
{$ENDIF}

{ TAnyQForm }

{$IFDEF VCLSKIN}

procedure TAnyQBaseForm.WMSETTEXT(var Message: TWMSetText);
var
  P: Pchar;
begin
  try
    if SkinManager=nil then exit;
    P := Pointer(TAnyQSkinManage(SkinManager).FindSkinForm(self.Handle));
    if P = nil then
      exit;
    P := P+104;
    Pstring(P)^ := Message.Text;  {}
  finally
    inherited;
  end;
end;
{$ENDIF}

end.
